// Contains the library exported C API functions. 
// Actual work may be done in `capi-bridge.cpp`, `capi-bridge.h` bridges this shim TU with that working one

#include <rngxx.h>

#include "capi-bridge.h"

rng_t* rng_new(enum rng_kind kind, u64 seed[static restrict 1])
{
	return RNG_IMPL(mkdriver) (kind, &seed[0]);
}
